Bug 1906896 - No Alerts causes odd empty Table (Need no content message)
Summary: No Alerts causes odd empty Table (Need no content message)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Debsmita Santra
QA Contact: Mohammed Saud
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-11 17:30 UTC by Debsmita Santra
Modified: 2021-02-24 15:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:42:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7523 0 None closed Bug 1906896: show empty message for no alerts 2021-01-12 09:24:07 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:42:59 UTC

Description Debsmita Santra 2020-12-11 17:30:49 UTC
Description of problem:
When viewing a new project without any alerts, it's odd to see the "Alerts" tab in the Monitoring page show an empty table (just headers).


Version-Release number of selected component (if applicable):
4.7


How reproducible:
Always


Steps to Reproduce:
1. Create a new project
2. Navigate to the Monitoring => Alerts page

Actual results:
Empty table with just the headers

Expected results:
A no content message


Additional info:

Comment 2 Mohammed Saud 2021-01-12 10:28:15 UTC
Verified on 4.7.0-0.ci-2021-01-12-022221
Browser: Firefox 84

Alerts tab shows "No Alerts found" when there are no alerts.

Comment 5 errata-xmlrpc 2021-02-24 15:42:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.